RUDOF(1)

NAME
rudof query - Run SPARQL queries

SYNOPSIS
rudof query [OPTIONS] --query <INPUT> [DATA]...

DESCRIPTION
Run SPARQL queries

  Arguments:

    [DATA]...

OPTIONS

-t, --data-format <FORMAT>
    RDF Data format [default: turtle] [possible values: turtle, ntriples, rdfxml, trig, n3, nquads, jsonld, pg]

-b, --base <IRI>
    Base IRI (used to resolve relative IRIs in RDF data)

--query-type <TYPE>
    Query type (SELECT, ASK, CONSTRUCT, DESCRIBE) [default: select] [possible values: select, construct, ask, describe]

--reader-mode <MODE>
    RDF Reader mode [default: strict] [possible values: lax, strict]

-q, --query <INPUT>
    SPARQL query

-e, --endpoint <Endpoint>
    Endpoint with RDF data (URL or name)

-o, --output-file <FILE>
    Output file name, default = terminal

-r, --result-format <FORMAT>
    Result query format [default: internal] [possible values: internal, turtle, ntriples, jsonld, rdfxml, csv, trig, n3, nquads]

-c, --config-file <FILE>
    Config file name

--force-overwrite
    Force overwrite to output file if it already exists

-h, --help
    Print help